# Interface VectorReadable2LType

All Known Subinterfaces:
  `PVector2LType<T>, PVector3LType<T>, PVector4LType<T>, PVectorByteBufferedIntegral2Type<T>, PVectorByteBufferedIntegral3Type<T>, PVectorByteBufferedIntegral4Type<T>, PVectorReadable2LType<T>, PVectorReadable3LType<T>, PVectorReadable4LType<T>, PVectorStorageIntegral2Type<T>, PVectorStorageIntegral3Type<T>, PVectorStorageIntegral4Type<T>, Vector2LType, Vector3LType, Vector4LType, VectorByteBufferedIntegral2Type, VectorByteBufferedIntegral3Type, VectorByteBufferedIntegral4Type, VectorReadable3LType, VectorReadable4LType, VectorStorageIntegral2Type, VectorStorageIntegral3Type, VectorStorageIntegral4Type`

All Known Implementing Classes:
  `PVector2L, PVector3L, PVector4L, PVectorByteBufferedIntegral2s16, PVectorByteBufferedIntegral2s32, PVectorByteBufferedIntegral2s64, PVectorByteBufferedIntegral2s8, PVectorByteBufferedIntegral3s16, PVectorByteBufferedIntegral3s32, PVectorByteBufferedIntegral3s64, PVectorByteBufferedIntegral3s8, PVectorByteBufferedIntegral4s16, PVectorByteBufferedIntegral4s32, PVectorByteBufferedIntegral4s64, PVectorByteBufferedIntegral4s8, PVectorMutable2L, PVectorMutable3L, PVectorMutable4L, Vector2L, Vector3L, Vector4L, VectorByteBufferedIntegral2s16, VectorByteBufferedIntegral2s32, VectorByteBufferedIntegral2s64, VectorByteBufferedIntegral2s8, VectorByteBufferedIntegral3s16, VectorByteBufferedIntegral3s32, VectorByteBufferedIntegral3s64, VectorByteBufferedIntegral3s8, VectorByteBufferedIntegral4s16, VectorByteBufferedIntegral4s32, VectorByteBufferedIntegral4s64, VectorByteBufferedIntegral4s8, VectorMutable2L, VectorMutable3L, VectorMutable4L`

public interface VectorReadable2LType
The type of 2D `long`-typed vectors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `x()`
  `long`
  `y()`

- ## Method Details

  - ### x

    @Parameter(order=0) long x()
    Returns:
      The `x` component

  - ### y

    @Parameter(order=1) long y()
    Returns:
      The `y` component